<template>
  <div class="flow-icon" @click="click">
    <img :src="url" :width="width" :style="{ height: height }"/>
  </div>
</template>
<script setup name="ModelIcon">
// 接收属性
const props = defineProps({
  url: {
    type: String,
    required: false,
    default: ''
  },
  width: {
    type: Number,
    required: false,
    default: 60
  },
  height: {
    type: String,
    required: false,
    default: '100%'
  }
});

const emit = defineEmits(['click']);
const click = () => {
  emit('click');
};

defineExpose({});
</script>

<style lang="less" scoped>
.flow-icon {
  width: 60px;
  height: 60px;
  vertical-align: middle;
  img {
    border-radius: 6px;
    cursor: pointer;
  }
}
</style>
